use nostr_rs_types::types::Addr;
use serde::{Deserialize, Serialize};

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct Config {
    /// List of external relayers to connect to
    pub relayers: Vec<url::Url>,
    /// Local database path
    pub db_path: String,
    /// External port
    pub port: u16,
    /// List of accounts to have the relayer
    pub account: Vec<Account>,
    /// Domain to create webserver
    pub domain: Option<String>,
}

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct Account {
    pub id: Addr,
    pub name: Option<String>,
}
